classification
Title: Use specific asserts in unittest tests
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: ezio.melotti, michael.foord, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2013-11-14 20:58 by serhiy.storchaka, last changed 2013-11-17 01:04 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
test_unittest_asserts.patch serhiy.storchaka, 2013-11-14 20:58 review
Messages (3)
msg202886 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-11-14 20:58
The proposed patch makes the unittest package tests use more specific asserts. This will provide more useful failure report.
msg203087 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-11-16 21:36
LGTM.
msg203097 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-11-16 22:15
New changeset f32353baecc3 by Serhiy Storchaka in branch '3.3':
Issue #19594: Use specific asserts in unittest tests.
http://hg.python.org/cpython/rev/f32353baecc3

New changeset aacb0bd969e5 by Serhiy Storchaka in branch 'default':
Issue #19594: Use specific asserts in unittest tests.
http://hg.python.org/cpython/rev/aacb0bd969e5

New changeset 1d1bad272733 by Serhiy Storchaka in branch '2.7':
Issue #19594: Use specific asserts in unittest tests.
http://hg.python.org/cpython/rev/1d1bad272733
History
Date User Action Args
2013-11-17 01:04:50ezio.melottisetstatus: open -> closed
assignee: serhiy.storchaka
resolution: fixed
stage: patch review -> resolved
2013-11-16 22:15:36python-devsetnosy: + python-dev
messages: + msg203097
2013-11-16 21:36:24ezio.melottisetmessages: + msg203087
2013-11-14 21:02:18serhiy.storchakalinkissue16510 dependencies
2013-11-14 20:58:29serhiy.storchakacreate